<?php
namespace FiloBlu\ScratchAndQuiz\Model\ScratchAndQuiz\Source;

class IsEnabled implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var \FiloBlu\ScratchAndQuiz\Model\ScratchAndQuiz
     */
    protected $scratchandquiz;

    public function __construct(\FiloBlu\ScratchAndQuiz\Model\ScratchAndQuiz $scratchandquiz)
    {
        $this->scratchandquiz = $scratchandquiz;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options[] = ['label' => '', 'value' => ''];
        $availableOptions = $this->scratchandquiz->getAvailableStatuses();

        foreach ($availableOptions as $key => $value) {
            $options[] = [
                'label' => $value,
                'value' => $key,
            ];
        }
        return $options;
    }
}